"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _constants_1 = require("../constants");
exports.cleanRuleBefore = function (node) {
    if (node && node.type === _constants_1.RULE_TYPE) {
        node.raws.before = '\n\n';
    }
};
exports.cleanRules = function () {
    var rules = [];
    for (var _i = 0; _i < arguments.length; _i++) {
        rules[_i] = arguments[_i];
    }
    rules.forEach(function (rule) {
        if (rule) {
            var prev = rule.prev();
            if (prev && prev.type !== _constants_1.COMMENT_TYPE) {
                exports.cleanRuleBefore(rule);
            }
            rule.walk(function (node) {
                if (node.type === _constants_1.COMMENT_TYPE) {
                    if (_constants_1.RTL_COMMENT_REGEXP.test(node.toString())) {
                        node.remove();
                    }
                }
                if (node.type === _constants_1.DECLARATION_TYPE) {
                    if (node.raws && node.raws.value && _constants_1.RTL_COMMENT_REGEXP.test(node.raws.value.raw)) {
                        delete node.raws.value;
                        node.value = node.value.trim();
                    }
                }
            });
        }
    });
};
